package com.survey7.shareoverwifi;
/*
Copyright 2012 Sanjay Rao, Seattle WA USA

This file is part of Flash Cards GPL.

Flash Cards GPL is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, version 3 of the License.

Flash Cards GPL is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Flash Cards GPL.  If not, see <http://www.gnu.org/licenses/>.
*/

import android.content.BroadcastReceiver;
import android.util.Log;
import android.content.Intent;
import android.content.Context;
import android.content.SharedPreferences;

public class Bootmain extends BroadcastReceiver {
	private boolean autostart;
	public void loadpreferences(Context ctx) {
		SharedPreferences settings=ctx.getSharedPreferences("default",0);
		autostart=settings.getBoolean("autostart",false);
	}
	@Override
	public void onReceive(Context context, Intent intent) {
		loadpreferences(context);
		if (!autostart) return;
		Log.i("DEBUG","Starting service (autostart)");
		Intent serviceintent;
		context.startService(new Intent(context,Servicemain.class));
	}
}
